# SpongeCommandCompletionContext (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: SpongeCommandCompletionContext

Package co.aikar.commands

# Class SpongeCommandCompletionContext

java.lang.Object
co.aikar.commands.CommandCompletionContext<SpongeCommandIssuer>
co.aikar.commands.SpongeCommandCompletionContext

public class SpongeCommandCompletionContext extends co.aikar.commands.CommandCompletionContext<SpongeCommandIssuer>

## Field Summary

### Fields inherited from class co.aikar.commands.CommandCompletionContext

`issuer`

## Method Summary

Modifier and Type
Method
Description
`org.spongepowered.api.entity.living.player.Player`
`getPlayer()`
`org.spongepowered.api.command.CommandSource`
`getSource()`

### Methods inherited from class co.aikar.commands.CommandCompletionContext

`getConfig, getConfig, getConfig, getConfigs, getContextValue, getContextValue, getContextValueByName, getInput, getIssuer, hasConfig, isAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSource

public org.spongepowered.api.command.CommandSource getSource()

### getPlayer

public org.spongepowered.api.entity.living.player.Player getPlayer()